Bug 1939218 - Images built on OCP 4.6 clusters create manifests that result in quay.io (and other registries) rejecting those manifests
Summary: Images built on OCP 4.6 clusters create manifests that result in quay.io (and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.z
Assignee: Nalin Dahyabhai
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1905095 1941452
Blocks: 1940203 1939219
TreeView+ depends on / blocked
 
Reported: 2021-03-15 18:22 UTC by OpenShift BugZilla Robot
Modified: 2021-03-30 04:46 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-30 04:46:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift builder pull 224 0 None closed Bug 1939218: bump(containers/*): 2021-03-19 03:40:50 UTC
Red Hat Product Errata RHSA-2021:0957 0 None None None 2021-03-30 04:46:56 UTC

Comment 2 XiuJuan Wang 2021-03-19 03:36:26 UTC
Verified on 4.7.0-0.nightly-2021-03-19-001520 cluster, and do regression test for build features, no new issues found.

The schemaVersion is not degraded, and manifest keep consistent after mirroring to quay.io
$oc new-app ruby:latest~http://github.com/openshift/ruby-hello-world.git 
$skopeo inspect docker://default-route-openshift-image-registry.apps.wxj-47bz.qe.devcluster.openshift.com/xiuwang/ruby-hello-world:latest --raw | jq '.schemaVersion'
2
$oc image mirror default-route-openshift-image-registry.apps.wxj-47bz.qe.devcluster.openshift.com/xiuwang/ruby-hello-world:latest quay.io/openshifttest/ocp:47 -a ~/.docker/quay-xiuwang
$skopeo inspect docker://quay.io/openshifttest/ocp:47 --creds *****:***** --raw | jq '.schemaVersion'
2

Comment 5 errata-xmlrpc 2021-03-30 04:46:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.4 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0957


Note You need to log in before you can comment on or make changes to this bug.